mia-3dbrainextractT1
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dbrainextractT1

#### Sysnopis:

`mia-3dbrainextractT1` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program is used to extract the brain from T1 MR images. It first runs a combined fuzzy c-means clustering and B-field correction to facilitate a 3D segmentation of 3D image. Then various fiters are run to obtain a white matter segmentation as initial mask that is then used to run a region growing to obtain a mask of the whole brain. Finally, this mask is used to extact the brain from the B0 field corrected images.

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be segmented. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  brain mask. For supported file types see Plugin type: 3dimage/io

-n, --no-of-classes=3; int

  number of classes

-w, --wm-class=2; int

  index of white matter

-p, --wm-prob=0.7; float

  white matter class probability for initial mask creation

-t, --grow-threshold=20; int

  intensity threshold for region growing

--grow-shape=18n; stringSTRING

  neighbourhood mask region growing

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Create a mask from the input image by running a 5-class segmentation over inpt image input.v and use class 4 as white matter class and store the masked image in masked.v and the B0-field corrected image in b0.v

    mia-3dbrainextractT1 -i input.v -n 5 -w 4 -o masked.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dbinarycombine | Home | mia-3dcombine-imageseries